$!-----------------------------------------------------------------------------
$! ANALOG_STARTUP.COM
$! Define logicals required for WASD VMS implementation of ANALOG 3.0
$!
$! 22-JUN-98  MGD  transfered to Analog v3.0
$! 27-OCT-97  MGD  initial
$!-----------------------------------------------------------------------------
$!
$!(define the analog root to be the same directory this procedure run from)
$ PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ DEVICE = F$PARSE(PROCEDURE,,,"DEVICE","NO_CONCEAL")
$ DIRECTORY = F$PARSE(PROCEDURE,,,"DIRECTORY","NO_CONCEAL")
$ IF DIRECTORY .EQS. DIRECTORY - "]["
$    THEN ANALOG_ROOT = DEVICE + DIRECTORY - "]" + ".]"
$    ELSE ANALOG_ROOT = DEVICE + DIRECTORY - "][" - "]" + ".]"
$ ENDIF
$ DEFINE /SYSTEM /EXEC /TRANSLATION=CONCEALED ANALOG_ROOT 'ANALOG_ROOT'
$!
$!(the server account must be able to create files in this directory)
$ DEFINE /SYSTEM ANALOG_SCRATCH HT_LOGS:
$!
$!(if Analog is interrupted the Anlgform config files remain, clean-up!)
$ DELETE /NOLOG ANALOG_SCRATCH:ANALOG_*.CFG;*
$!
$!-----------------------------------------------------------------------------
